Support for the Ruby 2.2 series has ended. See here for reference.

In Files

  • zlib/zlib.c

Zlib::GzipFile::LengthError

Raised when the data length recorded in the gzip file footer is not equivalent to the length of the actual uncompressed data.